#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""
@Project ：dup1
@File    ：task_utils.py
@Author  ：Zhl
@Date    ：2021/9/12 1:38 下午 
"""
import os
import tensorflow as tf


def trans_feat_feed(features, input_ph_dict):
    """
    :param features:
    :param input_ph_dict:
    :return:
    """
    feed_dict = {}
    for feat, ph in input_ph_dict.items():
        feed_dict[ph] = features[feat]
    return feed_dict


def save_ckpt(sess, iter, ckpt_path):
    """
    :param sess:
    :param iter:
    :param ckpt_path:
    :return:
    """
    saver = tf.train.Saver()
    os.makedirs(ckpt_path, exist_ok=True)
    ckpt_path = f"{ckpt_path}/model.ckpt-{iter}"
    saver.save(sess, ckpt_path)
