#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""
@Project ：dup1
@File    ：export_test.py
@Author  ：Zhl
@Date    ：2021/9/10 5:53 下午 
"""

from dup1.export import Export

export = Export()

pb_out_path = "../output/ckpt2pb"
ckpt_in_path = "../output/model2ckpt/"
input_node_names = ["age_level_ph", "cate_id_ph", "brand_ph",  # "price_ph",
                    "sess_0_cate_id_ph", "sess_0_brand_ph", "sess_1_cate_id_ph", "sess_1_brand_ph",
                    "sess_2_cate_id_ph", "sess_2_brand_ph", "sess_3_cate_id_ph", "sess_3_brand_ph",
                    "sess_4_cate_id_ph", "sess_4_brand_ph", "sess_length_ph", "label_ph"]
output_node_names = ["score"]
export.export_pb_from_ckpt(ckpt_in_path, pb_out_path, input_node_names, output_node_names)

########################################################################################
input_signature_map = {node: node for node in input_node_names if node not in ["label_ph"]}
output_signature_map = {node: node for node in output_node_names}
pb_in_path = pb_out_path
savedmodel_out_path = "../output/saved_model"
export.export_savedmodel_from_pb(pb_in_path, savedmodel_out_path, input_signature_map, output_signature_map)




