import tensorflow as tf

session = tf.Session(graph=tf.Graph())
output_tensor_names = []
output_op_names = []
input_tensor_names = []
input_op_names = []


# 加载pb模型
def load_pb(model_file_path):
    meta_graph = tf.saved_model.loader.load(session, [tf.saved_model.tag_constants.SERVING], model_file_path)
    model_graph_signature = list(meta_graph.signature_def.items())[0][1]
    for output_item in model_graph_signature.outputs.items():
        output_op_name = output_item[0]
        output_op_names.append(output_op_name)
        output_tensor_name = output_item[1].name
        output_tensor_names.append(output_tensor_name)
    for input_item in model_graph_signature.inputs.items():
        input_op_name = input_item[0]
        input_op_names.append(input_op_name)
        input_tensor_name = input_item[1].name
        input_tensor_names.append(input_tensor_name)
    # print("load model finish!")
    # print(f"output_tensor_names={output_tensor_names} output_op_names={output_op_names}")
    # print(f"input_tensor_names={input_tensor_names} input_op_names={input_op_names}")


class Predict:
    def __init__(self):
        pass
