#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""
@Project ：dup1
@File    ：dsin_reader_v1_test.py
@Author  ：Zhl
@Date    ：2021/9/11 8:48 上午 
"""
import json

from dup1.readers.dsin_reader_v1 import DSINReaderV1

# time_stamp, act, storeid, event_id, cid3, pwid
input_feature = ["cid3_ph", "pwid_ph",
                 "sess_0_cid3_ph", "sess_0_pwid_ph", "sess_1_cid3_ph", "sess_1_pwid_ph",
                 "sess_2_cid3_ph", "sess_2_pwid_ph", "sess_3_cid3_ph", "sess_3_pwid_ph",
                 "sess_4_cid3_ph", "sess_4_pwid_ph", "sess_length_ph", "label_ph"]
batch_size = 256
kvargs = {"encode_idx_conf": "../../data/encode_idx_conf.json"}
data_files = ["../../data/000059_0.gz"]
dsin_reader = DSINReaderV1(filenames=data_files, input_feature=input_feature, batch_size=batch_size, kvargs=kvargs)
for x, y in dsin_reader:
    # print(sum([sum(i) for i in x["label_ph"]]), len(x["label_ph"]))
    print(json.dumps(x))
    break
